// CImageManager.h: interface for the CImageManager class.
//
//////////////////////////////////////////////////////////////////////
/***********************************

We will use this class to get Images instead of loading them
for each seperate "instance" of them.


************************************/
////////////////////////////////////////////////////////////

#ifndef CIMAGE_MANAGER_H
#define CIMAGE_MANAGER_H

#include "stringc.h"
#include "CGraphicSystem.h"
#include "Assert.h"
#include "CImage.h"

#include <list>

using namespace std;


#define g_ImageManager CImageManager::GetSingleton()

class CImageManager : public Singleton<CImageManager>
{

public:
	

	CImageManager(){ Clear(); }
	~CImageManager(){  }

	void Clear();
	bool Init();
	void ShutDown();
	
	void loadAllArtInDir(STRINGC dir);
	CImage* GetImage(STRINGC fileName);

protected:



};

#endif 
